Doomsday Engine - Bug #2209

Materials do not get correctly reset when loading/unloading data files while a game is loaded

2017-03-05 12:12 - skyjake

Status: New Start date:
Priority: High % Done:
Assignee: skyjake

Category: Defect

Target version: 2.3.x

2017-03-05
0%

Description

Steps to reproduce:

1. Load Aliens TC and start a map.

2. Load a savegame from vanilla Doom.

3. PackageCompatibilityDialog unloads all packages.
4. Materials are now broken.

Related issues:
Related to Bug #1026: Load console command music oversight
Related to Bug #1992: Load console command segfaults (needs retesting)

Related to Bug #2324: Sky texture issue upon MOD loading/unloading in game

Closed 2012-04-14
Closed 2015-03-12
New 2019-03-24

Associated revisions

Revision cebf6266 - 2017-03-05 13:50 - skyjake

Fixed|Client|Resource: More robust way to load packages needed by savegame

At the moment, there are a number of bugs that get triggered when
data files are unloaded and loaded individually. As a workaround,

do a complete game unload and reload with the right packages when
loading a savegame that requires different ones.
Revision 2¢9356e3 - 2017-03-06 15:30 - skyjake

Fixed|Client|Resource: More robust way to load packages needed by savegame
At the moment, there are a number of bugs that get triggered when

data files are unloaded and loaded individually. As a workaround,

do a complete game unload and reload with the right packages when

loading a savegame that requires different ones.
History

#1 - 2017-04-03 14:47 - skyjake

- Related to Bug #1026: Load console command music oversight added

#2 - 2018-10-27 15:00 - skyjake
- Target version changed from 2.1 (Late 2018) to 2.2 (2019)

#3 - 2019-10-14 10:31 - skyjake
- Target version changed from 2.2 (2019) to 2.3.x

#4 - 2019-11-29 21:57 - skyjake

- Related to Bug #1992: Load console command segfaults (needs retesting) added

#5 - 2019-11-29 22:27 - skyjake
- Related to Bug #2324: Sky texture issue upon MOD loading/unloading in game added
